> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1billingplans



## OpenAPI

````yaml /api-reference/openapi.json get /v1/billing/plans
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/billing/plans:
    get:
      tags:
        - BillingPlans
      parameters:
        - name: currency
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/SmartbillsSDKDTOBillingPlansPlanResponse
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/SmartbillsSDKDTOBillingPlansPlanResponse
            text/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/SmartbillsSDKDTOBillingPlansPlanResponse
        '503':
          description: Service Unavailable
components:
  schemas:
    SmartbillsSDKDTOBillingPlansPlanResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        key:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        productCode:
          type: string
          nullable: true
        stripeProductId:
          type: string
          nullable: true
        isActive:
          type: boolean
        isFreeTier:
          type: boolean
        recommended:
          type: boolean
        trialDays:
          type: integer
          format: int32
          nullable: true
        displayOrder:
          type: integer
          format: int32
        prices:
          type: array
          items:
            $ref: '#/components/schemas/SmartbillsSDKDTOBillingPlansPlanPriceOption'
          nullable: true
        features:
          type: array
          items:
            type: string
          nullable: true
      additionalProperties: false
    SmartbillsSDKDTOBillingPlansPlanPriceOption:
      type: object
      properties:
        id:
          type: integer
          format: int64
        sku:
          type: string
          nullable: true
        stripePriceId:
          type: string
          nullable: true
        price:
          type: number
          format: double
        currency:
          type: string
          nullable: true
        billingPeriod:
          type: string
          nullable: true
        isRecurring:
          type: boolean
        isActive:
          type: boolean
      additionalProperties: false

````